Bug 1277015 - Host delete unsuccesful
Host delete unsuccesful
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hosts (Show other bugs)
6.1.3
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 00:02 EST by Balaji
Modified: 2017-02-07 11:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-07 11:21:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Host delete failure (145.81 KB, image/png)
2015-11-02 00:02 EST, Balaji
no flags Details

  None (edit)
Description Balaji 2015-11-02 00:02:54 EST
Created attachment 1088459 [details]
Host delete failure

Description of problem:
Deleting an unprovisioned host fails with the error:
Required lock is already taken by other running tasks. Please inspect their state, fix their errors and resume them. Required lock: read Conflicts with tasks: - https://sat-ha.cloud.lab.eng.bos.redhat.com/foreman_tasks/tasks/7ccfdea0-1c4e-479c-9162-a293b9eaab2b


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.
Create a Host via satellite and continue trying to provision it. If the provisioning fails for some reason, try to delete using the delete button. If the task is not completed, it fails with the above message.
2.
3.

Actual results:
Host cannot be deleted unless the tasks succeed.

Expected results:
If there is a failure, the host delete button should work.


Additional info:
Comment 2 Balaji 2015-11-17 14:24:46 EST
This is the error message I recd when I tried to delete the host after successfully cancelling the build:
Required lock is already taken by other running tasks. Please inspect their state, fix their errors and resume them. Required lock: read Conflicts with tasks: - https://satnode3.sysmgmt.bos.redhat.com/foreman_tasks/tasks/49645945-c928-4f62-a52e-9e2eaf5902c6
Comment 5 Brad Buckingham 2017-01-12 09:26:29 EST
I haven't located another bug that specifically addresses this behavior; however, I also haven't had any luck reproducing on Satellite 6.2.

Balaji,

Are you able to reproduce this on Satellite 6.2?  

If so, can I get you to provide details on the specific scenario as well as attach a foreman-debug?

If not, any objection to closing this bugzilla for now and we can re-open if the issue resurfaces?
Comment 6 Balaji 2017-02-07 10:39:07 EST
The problem did not happen in 6.2. You can probably close this bug.
Comment 7 Brad Buckingham 2017-02-07 11:21:08 EST
Thanks Balaji!  I am going to close the bugzilla; however, feel free to re-open if the issue re-occurs.

Note You need to log in before you can comment on or make changes to this bug.